OpenThreads::ReverseScopedPointerLock< M > Class Template Reference

`#include <ScopedLock>`

## Public Member Functions

| ReverseScopedPointerLock (M *m)
| ~ReverseScopedPointerLock ()

## Constructor & Destructor Documentation

## ReverseScopedPointerLock()

template<class M>

OpenThreads::ReverseScopedPointerLock< M >::ReverseScopedPointerLock | ( | M * | m | ) |

inline explicit

## ~ReverseScopedPointerLock()

template<class M>

OpenThreads::ReverseScopedPointerLock< M >::~ReverseScopedPointerLock | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- ScopedLock